# Auto-Paginate DITA-OT Plugin for PDF Chemistry

This Oxygen project demonstrates a DITA-OT plugin for PDF Chemistry that automatically keeps paragraphs that end in ":" or "," to be kept with the next element.

To try it out,

1. Install the `com.synopsys.auto-paginate` DITA-OT plugin in your Oxygen installation directory, then run DITA-OT integration.
1. Open the OPENME1.xpr Oxygen project file in this directory.
1. Open the OPENME2.ditamap file in this directory.
1. Run the "Auto-Paginated PDF" transformation defined in this project.

The plugin works by adding `@outputclass="keep-with-next"` to any `<p>` elements that end in ":" or ",". (This is done in the token domain, so existing `@outputclass` values are preserved.) Then, a CSS file that applies `page-break-after: avoid` to the `<p>` element is used during PDF Chemistry publishing.